<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Main CSS-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/admin/css/main.css')); ?>">
    <!-- Font-icon css-->
    <link rel="stylesheet" type="text/css"
          href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="<?php echo e(asset('assets/user/css/color.php?color=')); ?><?php echo e($general->base_color); ?>" rel="stylesheet">
    <link rel="shortcut icon" type="image/png" href="<?php echo e(asset('assets/user/upload/logo/icon.png')); ?>">
    <title><?php echo e($general->title); ?> | Register</title>
</head>
<body>
<section class="material-half-bg">
    <div class="cover"></div>
</section>
<section class="login-content">
    <div class="logo">
        <img class="img-responsive" src="<?php echo e(asset('assets/user/upload/logo/logo.png')); ?>"
             style="max-width: 200px; max-height: 60px">
    </div>
    <div class="login-box" style="min-width: 450px;min-height: 600px !important;">
        <form class="login-form" action="<?php echo e(route('register')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <h3 class="login-head"><i class="fa fa-lg fa-fw fa-user-plus"></i>Register</h3>
            <?php if(session()->has('error')): ?>
                <strong style="color: #96000e"><?php echo e(session()->get('error')); ?></strong>
            <?php endif; ?>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="label">Name</label>
                        <input type="text" class="form-control <?php echo e($errors->has('name') ? ' is-invalid' : ''); ?>"
                               name="name"
                               value="<?php echo e(old('name')); ?>" placeholder="Name">
                        <?php if($errors->has('name')): ?>
                            <strong style="color: #bf5329"><?php echo e($errors->first('name')); ?></strong>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group" form-group>
                        <label class="label">Username</label>
                        <input type="text" class="form-control <?php echo e($errors->has('username') ? ' is-invalid' : ''); ?>"
                               name="username"
                               value="<?php echo e(old('username')); ?>" placeholder="Username">
                        <?php if($errors->has('username')): ?>
                            <strong style="color: #bf5329"><?php echo e($errors->first('username')); ?></strong>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="label">Email</label>
                <input type="email" class="form-control <?php echo e($errors->has('email') ? ' is-invalid' : ''); ?>"
                       name="email"
                       value="<?php echo e(old('email')); ?>" placeholder="Email">
                <?php if($errors->has('email')): ?>
                    <strong style="color: #bf5329"><?php echo e($errors->first('email')); ?></strong>
                <?php endif; ?>
            </div>
            <div class="form-group">
                <label class="label">Mobile Number</label>
                <input type="text" class="form-control <?php echo e($errors->has('mobile') ? ' is-invalid' : ''); ?>"
                       name="mobile"
                       value="<?php echo e(old('mobile')); ?>" placeholder="Mobile Number">
                <?php if($errors->has('mobile')): ?>
                    <strong style="color: #bf5329"><?php echo e($errors->first('mobile')); ?></strong>
                <?php endif; ?>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="label">Password</label>
                        <input type="password" class="form-control <?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>"
                               name="password"
                               placeholder="Password">
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="label">Confirm Password</label>
                        <input id="password-confirm" class="form-control" type="password" name="password_confirmation"
                               placeholder="Password Confirm"
                               required>
                    </div>
                </div>
                <?php if($errors->has('password')): ?>
                    <strong style="color: #bf5329"><?php echo e($errors->first('password')); ?></strong>
                <?php endif; ?>
            </div>
            <?php if($general->recaptcha == 1): ?>
            <div class="g-recaptcha" data-sitekey="<?php echo e($general->site_key); ?>" style="margin-left: 32px;"></div>
            <?php endif; ?>
            <div class="form-group btn-container">
                <button class="btn btn-primary btn-block" style="margin-top: 10px"><i
                            class="fa fa-sign-in fa-lg fa-fw"></i>SIGN UP
                </button>
            </div>
            <div class="form-group">
                <p class="semibold-text mb-2 float-right"><a href="<?php echo e(route('login')); ?>" data-toggle="flip">Already have
                        an account?</a></p>
            </div>
        </form>
    </div>
</section>
<?php echo $__env->make('admin.layouts.scripts', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<script src='https://www.google.com/recaptcha/api.js'></script>
</body>
</html>


