
<?php $__env->startSection('page_icon', 'fa fa-cogs'); ?>
<?php $__env->startSection('page_name', 'General Settings'); ?>
<?php $__env->startSection('body'); ?>
    <div class="row">
        <?php echo $__env->make('admin.layouts.flash', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <div class="col-md-12">
            <div class="tile">
                <form method="post" action="<?php echo e(route('admin.UpdateGenSetting')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="tile-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label"><b>Website Title</b></label>
                                    <input class="form-control form-control-lg" type="text" name="title"
                                           value="<?php echo e(isset($item->title) ? $item->title : ''); ?>">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label"><b>Base Color</b></label>
                                    <div class="input-group">
                                        <input class="form-control form-control-lg" type="color" name="color"
                                               id="colorValue" value="#<?php echo e(isset($item->base_color) ? $item->base_color : 'fff'); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label"><b>Base Currency Symbol</b></label>
                                    <input type="text" class="form-control form-control-lg"
                                           value="<?php echo e($item->currency_symbol); ?>" name="currency_symbol"
                                           id="currency_symbol">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label"><b>SMS Charge</b></label>
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">1 SMS</span>
                                        </div>
                                        <input type="text" class="form-control form-control-lg"
                                               value="<?php echo e($item->sms_charge); ?>" name="sms_charge">
                                        <div class="input-group-append">
                                            <span class="input-group-text"
                                                  id="currency_rate"><?php echo e($item->currency_symbol); ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label"><b>Default SMS Gateway</b></label>
                                    <select class="form-control form-control-lg" name="default_gateway">
                                        <option>Select Gateway</option>
                                        <?php $__currentLoopData = $gateways; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($gateway->id); ?>" <?php echo e($item->default_gateway == $gateway->id ? 'selected' : ''); ?>><?php echo e($gateway->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label"><b>Google Recaptcha site key</b></label>
                                    <input type="text" class="form-control form-control-lg"
                                           value="<?php echo e($item->site_key); ?>" name="site_key">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label"><b>Google Recaptcha secret key</b></label>
                                    <input type="text" class="form-control form-control-lg"
                                           value="<?php echo e($item->secret_key); ?>" name="secret_key">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-3">
                                <label class="control-label"><b>Email Verification</b></label>
                                <div class="toggle lg">
                                    <label>
                                        <input type="checkbox" value="1"
                                               name="emailver" <?php echo e($item->email_verification == "1" ? 'checked' : ''); ?>><span
                                                class="button-indecator"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label><b>SMS Verification</b></label>
                                <div class="toggle lg">
                                    <label>
                                        <input type="checkbox" value="1"
                                               name="smsver" <?php echo e($item->sms_verification == "1" ? 'checked' : ''); ?>><span
                                                class="button-indecator"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="form-group col-md-3">
                                <label class="control-label"><b>Email Notification</b></label>
                                <div class="toggle lg">
                                    <label>
                                        <input type="checkbox" value="1"
                                               name="emailnotf" <?php echo e($item->email_notification == "1" ? 'checked' : ''); ?>><span
                                                class="button-indecator"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="control-label"><b>SMS Notification</b></label>
                                <div class="toggle lg">
                                    <label>
                                        <input type="checkbox" value="1"
                                               name="smsnotf" <?php echo e($item->sms_notification == "1" ? 'checked' : ''); ?>><span
                                                class="button-indecator"></span>
                                    </label>
                                </div>
                            </div>
                            <div class="form-group col-md-2">
                                <label class="control-label"><b>Recaptcha</b></label>
                                <div class="toggle lg">
                                    <label>
                                        <input type="checkbox" value="1"
                                               name="recaptcha" <?php echo e($item->recaptcha == "1" ? 'checked' : ''); ?>><span
                                                class="button-indecator"></span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tile-footer">
                        <button class="btn btn-primary btn-block btn-lg" type="submit"><i
                                    class="fa fa-fw fa-lg fa-check-circle"></i>Save
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#color').spectrum({
                color: $('#color').val(),
                change: function (color) {
                    $('#colorValue').val(color.toHexString().slice(1));
                }
            });
            bkLib.onDomLoaded(function () {
                nicEditors.allTextAreas()
            });

            $(document).ready(function () {
                $(document).on('keyup', '#currency_symbol', function () {
                    var val = $(this).val();
                    $('#currency_rate').text(val)
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>